/* 
Theme Name: INEXCO Groupe (Hello Elementor Child)
Author: 15-100-17
Author URI: https://15-100-17.fr/
Template: hello-elementor
Version: 1.0
*/

/* ------------ BASES ------------ */

a {
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

body {
    overflow-x: hidden;
}

main {
    overflow: hidden;
}

body sup {
    font-size: 60%;
}

html [type="button"],
html [type="submit"],
html button {
	border: inherit;
}

body.noscroll {
    overflow: hidden;
    max-height: 100vh;
}

textarea,
select,
input[type="text"],
input[type="button"],
input[type="submit"] {
    -webkit-appearance: none;
}

@media only screen and (max-width: 480px) {
}
@media only screen and (min-width: 481px) {
}
@media only screen and (max-width: 767px) {
}
@media only screen and (min-width: 768px) {
}
@media only screen and (max-width: 1024px) {
}
@media only screen and (min-width: 1025px) {
}
@media only screen and (max-width: 1200px) {
}
@media only screen and (min-width: 1201px) {
}
@media only screen and (max-width: 1366px) {
}
@media only screen and (min-width: 1367px) {
}

/* --- */


/* ------------ LIENS TEXTES ------------ */

main .elementor-widget-text-editor a,
main .wpforms-container-full .wpforms-form .wpforms-field-label-inline a,
main .elementor-widget-toggle .elementor-tab-content a,
footer .elementor-widget-text-editor a:not(.logo1510017) {
    background: linear-gradient(to right, var(--e-global-color-accent), var(--e-global-color-accent));
    background-size: 100% 1px;
    background-position: 100% 100%;
    background-repeat: no-repeat;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    padding: 1px 3px 1px 3px;
}
main .elementor-widget-text-editor a:hover,
main .wpforms-container-full .wpforms-form .wpforms-field-label-inline a:hover,
main .elementor-widget-toggle .elementor-tab-content a:hover,
footer .elementor-widget-text-editor a:hover {
	background-size: 100% 100%;
    color: var(--e-global-color-b68e6d6);
}

footer .elementor-widget-text-editor a:not(.logo1510017),
.elementor-widget-breadcrumbs a {
    background: linear-gradient(to right, var(--e-global-color-secondary), var(--e-global-color-secondary));
    background-size: 100% 0px;
    background-position: 100% 100%;
    background-repeat: no-repeat;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    padding: 1px 6px 1px 6px;
    color: var(--e-global-color-secondary) !important;
}
footer .elementor-widget-text-editor a:hover,
.elementor-widget-breadcrumbs a:hover {
	background-size: 100% 100%;
    color: var(--e-global-color-b68e6d6) !important;
}

/* --- */


/* ------------ EDITEUR DE TEXTE ------------ */

.elementor-widget-text-editor ul {
    list-style: none;
    padding-left: 20px;
    margin-bottom: 20px;
}
.elementor-widget-text-editor ul li {
    padding-left: 5px;
    position: relative;
}
.elementor-widget-text-editor ul li::before {
    font-family: "Font Awesome 5 Free";
    font-size: 0.3em;
    font-weight: 900;
    content:  "\f111";
    position: absolute;
    left: -10px;
    top: 0px;
}

.elementor-widget-text-editor blockquote {
	margin: 10px 30px 20px 60px;
}
.elementor-widget-text-editor blockquote::before {
	font-family: "Font Awesome 5 Free";
	font-size: 2.1em;
	content: "\f27a";
	color: var(--e-global-color-text);
	position: absolute;
	left: 10px;
}

/* --- */


/* ------------ HEADER ------------ */

#header {
	width: 100% !important;
    inset-inline-start: 0 !important;
}

    /* ------ Toggle nav ------ */

    .js-nav-toggle {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        position: fixed;
        right: 10px;
        top: 18px;
        z-index: 9999;
        display: block;
        margin: 0 auto;
        border-bottom: none !important;
        cursor: pointer;
        text-decoration: none;
        padding: 12px 12px 12px 12px;
    }
    .js-nav-toggle.sticky {
        top: 18px;
    }
    .js-nav-toggle > i {
        position: relative;
        display: inline-block;
        width: 30px;
        height: 2px;
        font: normal 15px/.2 Lato;
        text-transform: uppercase;
        text-indent: -9999px;
        color: var(--e-global-color-primary);
        background: var(--e-global-color-primary);
        -webkit-transition: all .3s ease-out;
        -moz-transition: all .3s ease-out;
        -o-transition: all .3s ease-out;
        -ms-transition: all .3s ease-out;
        transition: all .3s ease-out;
    }
    .js-nav-toggle > i::before,
    .js-nav-toggle > i::after {
        background: var(--e-global-color-primary);
    }
    .js-nav-toggle > i::before {
        top: -9px;
    }
    .js-nav-toggle > i::after {
        bottom: -9px;
    }
    .js-nav-toggle > i::before,
    .js-nav-toggle > i::after {
        content: '';
        width: 30px;
        height: 2px;
        background: var(--e-global-color-primary);
        position: absolute;
        left: 0;
        -webkit-transition: all .6s ease-in-out;
        -moz-transition: all .6s ease-in-out;
        -o-transition: all .6s ease-in-out;
        -ms-transition: all .6s ease-in-out;
        transition: all .6s ease-in-out;
    }

    .js-nav-toggle.active > i {
        background: transparent;
    }
    .js-nav-toggle.active > i::before {
        background: var(--e-global-color-primary);
        top: 0;
        -webkit-transform: rotateZ(45deg);
        -moz-transform: rotateZ(45deg);
        -ms-transform: rotateZ(45deg);
        -o-transform: rotateZ(45deg);
        transform: rotateZ(45deg);
    }
    .js-nav-toggle.active > i::after {
        background: var(--e-global-color-primary);
        bottom: 0;
        -webkit-transform: rotateZ(-45deg);
        -moz-transform: rotateZ(-45deg);
        -ms-transform: rotateZ(-45deg);
        -o-transform: rotateZ(-45deg);
        transform: rotateZ(-45deg);
    }

    @media only screen and (min-width: 1201px) {
        
        .js-nav-toggle {
            display: none;
        }

    }

    /* --- */

    /* ------ Sticky ------ */

    #header,
    #header > .elementor-container {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }
    #header.elementor-sticky--effects {
        background-color:rgba(255,255,255,0.96);
    }
    #header.elementor-sticky--active {
        z-index: 100;
    }
    
    /* --- */

    /* ------ Menu desktop ------ */

    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown {
        animation: growDown 0.6s ease-in-out forwards;
        transform-origin: top center;
    }
    @keyframes growDown {
        0% {transform: scaleY(0);opacity: 0;}
        60% {transform: scaleY(1.05);opacity: 0.8;}
        100% {transform: scaleY(1);}
    }
    
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown li {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown li:hover {
        background-color: var(--e-global-color-primary);
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:hover  {
        animation: slideX 0.6s ease-in-out forwards;
        transform-origin: center left;
    }
    @keyframes slideX {
        0%   { transform: translateX(0); }
        60%  { transform: translateX(9px); }
        100% { transform: translateX(0); }
    }

    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a,
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:focus,
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:hover {
        border-left: none;
    }

    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown {
        min-width: 240px !important;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a {
        display: flex;
        justify-content: start;
        white-space: inherit;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a::before {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        content: "■";
        opacity: 0; 
        margin-top: -1px;
        margin-right: 0px;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:hover::before {
        opacity: 100;
        margin-right: 9px;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a.has-submenu {
        justify-content: space-between;
    }
    .menudesk.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a.has-submenu .sub-arrow {
        flex-grow: 2;
        justify-content: end;
    }


    /* --- */

    /* ------ Menu mobile ------ */

    .menumobile.elementor-widget-nav-menu .elementor-item.highlighted,
    .menumobile.elementor-widget-nav-menu .elementor-nav-menu--dropdown .elementor-item:focus {
        background-color: var(--e-global-color-primary) !important;
        color: var(--e-global-color-b68e6d6) !important;
    }
    .menumobile.elementor-widget-nav-menu ul.sub-menu {
        margin: 12px 12px 24px 12px;
    }

    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a,
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:focus,
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:hover {
        border-left: none;
    }

    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu a,
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a {
        display: flex;
        justify-content: start;
        white-space: inherit;
    }
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a::before {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        content: "■";
        opacity: 0; 
        margin-top: -1px;
        margin-right: 0px;
    }
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a:hover::before {
        opacity: 100;
        margin-right: 9px;
    }
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu a.has-submenu,
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a.has-submenu {
        justify-content: space-between;
    }
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu a.has-submenu .sub-arrow,
    .menumobile.elementor-widget-nav-menu ul.elementor-nav-menu--dropdown a.has-submenu .sub-arrow {
        flex-grow: 2;
        justify-content: end;
    }

    /* --- */

    /* ------ Top button ------ */
    
    .elementor-default .top-section {
        position: absolute;
        width: 40px !important;
        inset-inline-start: inherit !important;
        opacity: 0;
    }
    .elementor-default .top-section.elementor-sticky--effects {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        top: inherit !important;
        bottom: 15px;
        right: 10px;
        opacity: 1 ;
        z-index: 99;
    }
    .elementor-default a.top-button {
        display: flex;
        width: 40px;
        height: 40px;
        border-radius: 100%;
        background-color: var(--e-global-color-primary);
        align-items: center;
        justify-content: center;
        color: var(--e-global-color-b68e6d6);
    }
    .elementor-default a.top-button:hover {
        color: var(--e-global-color-b68e6d6);
        background-color: var(--e-global-color-9321d99);
    }

    /* --- */

    /* ------ Breadcrumb ------ */

    .elementor-widget-breadcrumbs p {
        margin-block-end: inherit !important;
    }

    /* --- */

/* --- */


/* ------------ FOOTER ------------ */

    /* ------ Copyright ------ */

    .elementor-default footer #copyright .logo1510017 > img {
        margin: 0 3px;
        width: 57px;
        vertical-align: bottom;
    }

    @media only screen and (max-width: 767px) {
        
        .elementor-default footer #copyright .logo1510017 > img  {
            display: block;
            margin: 3px auto;
        }

    }

    /* --- */

/* --- */


/* ------------ ELEMENTOR ------------ */

    /* ------ Animations ------ */

    body .elementor-motion-effects-element,
    body .elementor-motion-effects-layer {
        -webkit-transition-property: opacity,-webkit-transform !important;
        transition-property: opacity,-webkit-transform !important;
        -o-transition-property: transform,opacity !important;
        transition-property: transform,opacity !important;
        transition-property: transform,opacity,-webkit-transform !important;
        -webkit-transition-timing-function: cubic-bezier(0,.33,.07,1.03) !important;
        -o-transition-timing-function: cubic-bezier(0,.33,.07,1.03) !important;
        transition-timing-function: cubic-bezier(0,.33,.07,1.03) !important;
        -webkit-transition-duration: 2s !important;
        -o-transition-duration: 2s !important;
        transition-duration: 2s !important;
    }

    body .fadeInLeft {
        -moz-animation: fadeInLeft-light 0.75s 1 ease-in-out;
        -webkit-animation: fadeInLeft-light 0.75s 1 ease-in-out;
        animation: fadeInLeft-light 0.75s 1 ease-in-out;
    }
    body .fadeInRight {
        -moz-animation: fadeInRight-light 0.75s 1 ease-in-out;
        -webkit-animation: fadeInRight-light 0.75s 1 ease-in-out;
        animation: fadeInRight-light 0.75s 1 ease-in-out;
    }
    body .fadeInUp {
        -moz-animation: fadeInUp-light 0.75s 1 ease-in-out;
        -webkit-animation: fadeInUp-light 0.75s 1 ease-in-out;
        animation: fadeInUp-light 0.75s 1 ease-in-out;
    }
    body .fadeInDown {
        -moz-animation: fadeInDown-light 0.75s 1 ease-in-out;
        -webkit-animation: fadeInDown-light 0.75s 1 ease-in-out;
        animation: fadeInDown-light 0.75s 1 ease-in-out;
    }

    @keyframes fadeInLeft-light {
        0% { opacity: 0; transform: translate3d(-60px,0,0); }
        100% { opacity: 1; transform: none; }
    }
    @keyframes fadeInRight-light {
        0% { opacity: 0; transform: translate3d(60px,0,0); }
        100% { opacity: 1; transform: none; }
    }
    @keyframes fadeInUp-light {
        0% { opacity: 0; transform: translate3d(0,45px,0); }
        100% { opacity: 1; transform: none; }
    }
    @keyframes fadeInDown-light {
        0% { opacity: 0; transform: translate3d(0,-45px,0); }
        100% { opacity: 1; transform: none; }
    }

    @keyframes bounceWidth {
        0%   { width: 45px; }
        60%  { width: 105%; }
        80%  { width: 95%; }
        100% { width: 100%; }
    }
    @keyframes bounceTranslate {
        0%   { transform: translateX(0); }
        60%  { transform: translateX(55%); }
        80%  { transform: translateX(45%); }
        100% { transform: translateX(50%); }
    }

    /* --- */

    /* ------ Modale ------ */

    .dialog-type-lightbox.modalmenu {
        z-index: 9990;
    }

    /* --- */

    /* ------ Titre ------ */

    .style1.elementor-widget-heading .elementor-heading-title {
        white-space: nowrap;
    }

    /* --- */

    /* ------ Image ------ */

    .elementor-widget-image img {
        width: 100%;
    }

    /* --- */


    /* ------ Boutons ------ */

    .elementor-widget-button:not(.touteslesactus) i.iconesdebase {
        font-size: 162%;
        margin: -3px 0 -3px 0;
    }

    .style1.elementor-widget-button .elementor-button-text {
        flex-grow: 2;
        text-align: start;
    }
    .style1.elementor-widget-button i.iconesdebase {
        font-size: 120%;
        margin: inherit;
    }
    .style1.elementor-widget-button a:hover i.iconesdebase {
        animation: bounceTranslate 0.6s ease forwards;
    }

    /* --- */ 


    /* ------ Menu WordPress ------ */

    .style1.elementor-widget-nav-menu a {
        border-bottom: solid 1px var(--e-global-color-primary);
        padding-right: 18px;
    }
    .style1.blanc.elementor-widget-nav-menu a {
        border-bottom: solid 1px var(--e-global-color-b68e6d6);
    }
    .style1.elementor-widget-nav-menu a::after {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        font-family: 'icomoon' !important;
        speak: never;
        font-style: normal;
        font-weight: normal;
        font-variant: normal;
        text-transform: none;
        line-height: 1;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        content: "\e902";
        font-size: 120%;
        position: absolute;
        right: 18px;
        opacity: 1 !important;
        background-color: inherit !important;
    }
    .style1.elementor-widget-nav-menu .ico-externe a::after {
        content: "\e90d";
    }
    .style1.elementor-widget-nav-menu a:hover::after {
        animation: bounceTranslate 0.6s ease forwards;
    }

    /* --- */ 


    /* ------ Compteur ------ */

    .style1.elementor-widget-counter .elementor-counter-title {
        text-align: center;
    }
    .style1.elementor-widget-counter .elementor-counter-number-suffix,
    .style1.elementor-widget-counter .elementor-counter-number-prefix {
        font-size: 75%;
    }
    .style1.elementor-widget-counter .elementor-counter-number-wrapper {
        align-items: baseline;
    }

    /* --- */


    /* ------ Liste d'icône ------ */

    .elementor-widget.elementor-widget-icon-list .elementor-icon-list-item {
        align-items: start;
    }

    /* --- */

    /* ------ Boutons de partage ------ */

    .elementor-widget-share-buttons .fa-linkedin::before {
        content: "\f0e1";
    }
    .elementor-widget-share-buttons .fa-facebook::before {
        content: "\f39e";
    }

    /* --- */

    /* ------ Search (JetSearch) ------ */

    .elementor-widget-jet-ajax-search input.jet-ajax-search__field:focus {
        outline: none;
        border: none;
    }

    /* --- */

    /* ------ Appel à l'action ------ */

    .style1.elementor-widget-call-to-action .elementor-cta__icon {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        position: absolute;
        bottom: 20px;
        right: 20px;
        width: auto;
        margin: inherit;
    }
    .style1.elementor-widget-call-to-action a.elementor-cta:hover .elementor-cta__icon {
        animation: bounceTranslate 0.6s ease forwards;
    }
    .style1.elementor-widget-call-to-action a.elementor-cta .elementor-cta__content::before {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        content: "";
        display: block;
        width: 0;
        height: 4px;
        background-color: var(--e-global-color-primary);
        position: absolute;
        bottom: 0;
        left: 0;
    }
    .style1.elementor-widget-call-to-action a.elementor-cta:hover .elementor-cta__content::before {
        animation: bounceWidth 0.6s ease forwards;
    }
    .style1.elementor-widget-call-to-action .elementor-cta__bg-overlay {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.50) 0%, rgba(0, 0, 0, 0.00) 45%), linear-gradient(180deg, rgba(0, 0, 0, 0.00) 65%, rgba(0, 0, 0, 0.50) 100%);
    }
    
    .style2.elementor-widget-call-to-action .elementor-cta__title {
        text-align: left;
        padding: 0 60px 0 0;
    }
    .style2.elementor-widget-call-to-action .elementor-cta__content {
        align-content: space-between;
    }
    .style2.elementor-widget-call-to-action a.elementor-cta .elementor-cta__content::before {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        content: "";
        display: block;
        width: 45px;
        height: 4px;
        background-color: var(--e-global-color-secondary);
        position: absolute;
        bottom: 0;
        left: 0;
    }
    .style2.elementor-widget-call-to-action a.elementor-cta:hover .elementor-cta__content::before {
        animation: bounceWidth 0.6s ease forwards;
        background-color: var(--e-global-color-primary);
    }   
    
    .style2.elementor-widget-call-to-action a.elementor-cta .elementor-cta__title::before {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        font-family: 'icomoon' !important;
        font-style: normal;
        font-weight: normal;
        font-variant: normal;
        text-transform: none;
        line-height: 1;
        content: "\e90b";
        font-size: 18px;
        display: block;
        position: absolute;
        bottom: calc(50% - 10px);
        right: 20px;
        color: var(--e-global-color-secondary);
        transform: translateX();
    }
    .style2.elementor-widget-call-to-action a.elementor-cta:hover .elementor-cta__title::before {
        animation: bounceTranslate 0.6s ease forwards;
        color: var(--e-global-color-primary);
    }

    /* --- */

    /* ------ Accordéon ------ */

    .elementor-widget-n-accordion .e-n-accordion-item-title {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }

    /* --- */

    /* ------ Adavnced carousel ------ */

    .style1.elementor-widget-jet-carousel .jet-carousel__item-img {
        margin: 10px auto 10px auto;
        width: 210px;
        height: 120px;
        object-fit: contain;
        object-position: center center;
    }

    .style2.elementor-widget-jet-carousel .jet-carousel__item img {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
        border: solid 6px var(--e-global-color-f6247a8);
    }
    .style2.elementor-widget-jet-carousel .jet-carousel__item.slick-current img {
        border: solid 6px var(--e-global-color-primary);
    }
    .style2.elementor-widget-jet-carousel .jet-carousel__item .jet-carousel__item-title {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }
    .style2.elementor-widget-jet-carousel .jet-carousel__item.slick-current .jet-carousel__item-title {
        color: var(--e-global-color-primary);
    }

    /* --- */

/* --- */


/* ------------ JETENGINE ------------ */

    /* ------ JetEngine listing ------ */

    .jet-listing-grid__item .jet-listing-dynamic-image {
        overflow: hidden;
    }
    .jet-listing-grid__item img.size-blog-list,
    .jet-listing-grid__item img.size-blog-list-square,
    .jet-listing-grid__item img.wp-post-image {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }
    .jet-listing-grid__item .jet-listing-dynamic-image__link:hover img.size-blog-list,
    .jet-listing-grid__item section.elementor-top-section:hover img.size-blog-list-square,
    .jet-listing-grid__item .jet-listing-dynamic-image__link:hover img.wp-post-image {
        transform: scale(1.1);
    }
    .jet-listing-grid__item .jet-listing-dynamic-image__link::before {
        content: '';
        position: absolute;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
        background: -webkit-radial-gradient(closest-side, rgba(0,0,0,0) 0, rgba(0,0,0,0) 60%, rgba(0,0,0,0.03) 100%);
        background: -moz-radial-gradient(closest-side, rgba(0,0,0,0) 0, rgba(0,0,0,0) 60%, rgba(0,0,0,0.03) 100%);
        background: radial-gradient(closest-side, rgba(0,0,0,0) 0, rgba(0,0,0,0) 60%, rgba(0,0,0,0.03) 100%);
        background-position: 50% 50%;
        -webkit-background-origin: padding-box;
        background-origin: padding-box;
        -webkit-background-clip: border-box;
        background-clip: border-box;
        -webkit-background-size: auto auto;
        background-size: auto auto;
    }

    .elementor-widget-jet-listing-grid .jet-listing-grid__slider-icon {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }

        /* ------ JetEngine listing Clients ------ */

        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item > .elementor {
            justify-content: center;
            display: flex;
        }
        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a,
        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item .elementor-widget-image {
            -webkit-transition: all .3s ease-in-out;
            -moz-transition: all .3s ease-in-out;
            -o-transition: all .3s ease-in-out;
            -ms-transition: all .3s ease-in-out;
            transition: all .3s ease-in-out;
            background-color: var(--e-global-color-b68e6d6);
            border-radius: 100%;
            min-width: 180px;
            max-width: 180px;
            min-height: 180px;
            max-height: 180px;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a:hover {
            transform: scale(1.1);
        }
        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a img,
        .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item .elementor-widget-image > img {
            width: 120px;
            max-width: 120px;
            max-height: 90px;
            object-fit: contain;
        }

        @media only screen and (min-width: 1367px) and (max-width: 1440px) {

            .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a{
                min-width: 160px;
                max-width: 160px;
                min-height: 160px;
                max-height: 160px;
            }

        }

        @media only screen and (max-width: 767px) {

            .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a {
                min-width: 132px;
                max-width: 132px;
                min-height: 132px;
                max-height: 132px;
            }
            .liste-clients.elementor-widget-jet-listing-grid .jet-listing-grid__item a img {
                max-width: 90px;
                max-height: 69px;
            }

        }
        

        /* --- */

    /* --- */

/* --- */


/* ------------ JETSMARTFILTERS ------------ */

#filtre-actu .jet-checkboxes-list__button {
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.elementor-widget-jet-smart-filters-remove-filters button {
    white-space: inherit;
}
.elementor-widget-jet-smart-filters-remove-filters button::after {
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\e90a";
    position: absolute;
    right: 24px;
}

.elementor-widget-jet-smart-filters-select select {
    appearance: none; /* retire la flèche native (Chrome, Safari, Edge) */
    -moz-appearance: none; /* retire la flèche (Firefox) */
    -webkit-appearance: none; /* pour Safari */
    background: var(--e-global-color-b68e6d6) url("../../uploads/2025/10/icones-inexcogroupe-10.svg") no-repeat right 1rem center;
    background-size: 15px;
    padding-right: 30px;
}

/* --- */


/* ------------ WPFORMS ------------ */

.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field {
	padding: 10px 0;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field.wpforms-field-layout {
	padding: 0;
}

.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="date"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="datetime"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="datetime-local"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="email"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="month"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="number"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="password"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="range"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="search"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="tel"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="text"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="time"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="url"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="week"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--e-global-color-b68e6d6);
	border-radius: 12px;
	color: var(--wc-secondary-text);
	border: 1px solid var(--e-global-color-6c88d77);
	padding: 12px 12px;
	height: inherit;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select {
    appearance: none; /* retire la flèche native (Chrome, Safari, Edge) */
    -moz-appearance: none; /* retire la flèche (Firefox) */
    -webkit-appearance: none; /* pour Safari */
    background: var(--e-global-color-b68e6d6) url("../../uploads/2025/10/icones-inexcogroupe-10.svg") no-repeat right 1rem center;
    background-size: 15px;
    padding-right: 30px;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form div.wpforms-uploader {
	border: 1px dashed var(--e-global-color-6c88d77);
	border-radius: 12px;
	background: var(--e-global-color-12ac3da);
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-label {
	font-weight: 500;
    margin: 0 0 6px 0;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-label-inline {
	vertical-align: baseline;
	font-size: var(--e-global-typography-primary-font-size);
	font-weight: var(--e-global-typography-primary-font-weight);
	line-height: var(--e-global-typography-primary-line-height);
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input:focus,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea:focus,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select:focus,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .is-focused .choices__inner,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .is-open .choices__inner,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .is-open .choices__list--dropdown {
	border: 1px solid var(--e-global-color-primary);
}

.elementor-widget-wpforms div.wpforms-container-full .wpforms-form label.wpforms-error {
	padding: 5px 0;
}

.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-radio ul > li,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-checkbox ul > li {
    display: flex;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="radio"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: transparent;
	border-radius: 100px;
	color: var(--wc-secondary-text);
	border: 1px solid var(--e-global-color-a3bbf67);
	padding: inherit;
    display: grid;
    place-content: center;
    min-width: 24px;
    min-height: 24px;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="radio"]::before,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="checkbox"]::before {
    content: "";
    width: 12px;
    height: 12px;
    border-radius: 100px;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--e-global-color-primary);
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="radio"]:checked::before,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="checkbox"]:checked::before {
    transform: scale(1);
}

.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="submit"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form button[type="submit"],
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-page-button {
	background-color: var(--e-global-color-primary);
	border: none;
	color: var(--e-global-color-b68e6d6);
	padding: 18px 45px;
    border-radius: 100px;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="submit"]:hover,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="submit"]:focus,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input[type="submit"]:active,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form button[type="submit"]:hover,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form button[type="submit"]:focus,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form button[type="submit"]:active,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-page-button:hover,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-page-button:active,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-page-button:focus {
	background-color: var(--e-global-color-9321d99);
	border: none;
	cursor: pointer;
}

.elementor-widget-wpforms .wpforms-container-full .wpforms-form input::-webkit-input-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select::-webkit-input-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea::-webkit-input-placeholder {
    color: var(--e-global-color-text);
    opacity: 0.6;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input::-moz-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select::-moz-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea::-moz-placeholder {
    color: var(--e-global-color-text);
    opacity: 0.6;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input:-ms-input-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select:-ms-input-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea:-ms-input-placeholder {
    color: var(--e-global-color-text);
    opacity: 0.6;
}
.elementor-widget-wpforms .wpforms-container-full .wpforms-form input:-moz-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form select:-moz-placeholder,
.elementor-widget-wpforms .wpforms-container-full .wpforms-form textarea:-moz-placeholder {
    color: var(--e-global-color-text);
    opacity: 0.6;
}

@media only screen and (max-width: 767px) {
        
    .elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-layout .wpforms-layout-row {
        margin-right: inherit;
        margin-left: inherit;
    }
    .elementor-widget-wpforms .wpforms-container-full .wpforms-form .wpforms-field-layout .wpforms-layout-column {
        padding: 0;
    }

}

    /* ------------ Newsletter ------------ */

    .newsletter.elementor-widget-wpforms .wpforms-container-full .wpforms-container {
        margin-bottom: 0;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form {
        display: flex;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form .wpforms-field-container:nth-of-type(1) {
        width: 55%;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form input[type="email"] {
        padding: 10px 10px !important;
        min-height: 45px;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form .wpforms-field {
        padding: 3px 0 0 0 !important;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form .wpforms-submit-container {
        padding: 3px 0 0 0 !important;
    }
    .newsletter.elementor-widget-wpforms form.wpforms-form button[type="submit"] {
        padding: 10px 10px !important;
        min-height: 45px;
    }

    /* --- */

    /* Pour affichage en décallage des formulaires */
    
    .elementor-widget-wpforms .wpforms-container,
    .elementor-widget-wpforms .wpforms-form {
        visibility: hidden !important;
        opacity: 0 !important;
        transform: translateY(15px) !important;
        pointer-events: none !important;
        transition: opacity .45s ease, transform .45s ease;
    }

    .elementor-widget-wpforms.reveal .wpforms-container,
    .elementor-widget-wpforms.reveal .wpforms-form {
        visibility: visible !important;
        opacity: 1 !important;
        transform: translateY(0) !important;
        pointer-events: auto !important;
    }

    /* --- */

/* --- */


/* ------------ GDPR COOKIE CONSENT ------------ */

body .wcc-notice-des *,
body .wcc-preference-content-wrapper *,
body .wcc-accordion-header-des *,
body .wcc-gpc-wrapper .wcc-gpc-desc * {
	font-size: var( --e-global-typography-primary-font-size );
}
body .wcc-audit-table .wcc-cookie-des-table {
	font-size: var( --e-global-typography-secondary-font-size );
}

body .wcc-preference-header .wcc-preference-title,
body .wcc-notice .wcc-title {
	font-size: var( --e-global-typography-bdebc99-font-size );
	font-weight: var( --e-global-typography-bdebc99-font-weight );
	line-height: var( --e-global-typography-bdebc99-line-height );
    letter-spacing: inherit;
}

.wcc-consent-container .wcc-btn {
	margin: 3px;
}
.wcc-consent-container .wcc-btn:last-child {
	margin-right: inherit;
}

.wcc-consent-container button.wcc-btn-customize,
.wcc-consent-container button.wcc-btn-reject,
.wcc-consent-container button.wcc-btn-accept,
.wcc-modal button.wcc-btn-preferences,
.wcc-modal button.wcc-btn-reject,
.wcc-modal button.wcc-btn-accept {
    font-family: var( --e-global-typography-primary-font-family ), Sans-serif;
    font-size: var( --e-global-typography-primary-font-size );
    font-weight: var( --e-global-typography-primary-font-weight );
    line-height: var( --e-global-typography-primary-line-height );
    letter-spacing: inherit !important;
    padding: 9px 9px;

}
.wcc-consent-container button.wcc-btn-customize,
.wcc-modal button.wcc-btn-preferences {
    color: #FFFFFF !important;
    background-color: rgb(30, 115, 190) !important;
    border-color: rgb(30, 115, 190) !important;
}
.wcc-consent-container button.wcc-btn-reject,
.wcc-modal button.wcc-btn-reject {
    color: #FFFFFF !important;
    background-color: rgb(229, 42, 7) !important;
    border-color: rgb(229, 42, 7) !important;
}
.wcc-consent-container button.wcc-btn-accept,
.wcc-modal button.wcc-btn-accept {
    color: #FFFFFF !important;
    background-color: rgb(96, 128, 67) !important;
    border-color: rgb(96, 128, 67) !important;
}

.wcc-consent-container button.wcc-banner-btn-close img,
.wcc-preference-header button.wcc-btn-close img {
    height: 15px;
    width: 15px;
}
.wcc-consent-container button.wcc-banner-btn-close,
.wcc-preference-header button.wcc-btn-close,
.wcc-btn-revisit-wrapper button.wcc-btn-revisit,
.wcc-accordion-header button.wcc-accordion-btn,
.wcc-modal button.wcc-show-desc-btn {
    background-color: inherit;
    border-style: inherit;
    border-width: 0;
    border-color: inherit;
    letter-spacing: inherit;
}
.wcc-consent-container button.wcc-banner-btn-close:hover,
.wcc-preference-header button.wcc-btn-close:hover,
.wcc-btn-revisit-wrapper button.wcc-btn-revisit:hover,
.wcc-accordion-header button.wcc-accordion-btn:hover,
.wcc-modal button.wcc-show-desc-btn:hover,
.wcc-consent-container button.wcc-banner-btn-close:focus,
.wcc-preference-header button.wcc-btn-close:focus,
.wcc-btn-revisit-wrapper button.wcc-btn-revisit:focus,
.wcc-accordion-header button.wcc-accordion-btn:focus,
.wcc-modal button.wcc-show-desc-btn:focus {
    background-color: inherit;
    border-style: inherit;
    border-width: 0;
    border-color: inherit;
    color: inherit;
}
.wcc-switch input[type="checkbox"] {
	padding: inherit !important;
    border-style: inherit !important;
    border-radius: 50px !important;
    border-width: inherit !important;
}

.wcc-modal button.wcc-show-desc-btn:not(:hover):not(:active) {
	color: rgb(30, 115, 190) !important;
}

/* --- */